# RMBG

## Try it in the Widget Center

Click this [url](https://app.myshell.ai/robot-workshop/widget/1781992261456158720) to try this widget and copy the Pro Config template.

## Usage

Remove the background of the given image

**Input Parameters**

<table><thead><tr><th>Name</th><th>Type</th><th width="149">Description</th><th>Default</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>image</td><td><code>string</code></td><td>HTTP URL. Input image for RMBG. We will earse the background from the image. We hope this is an image with both foreground and background.</td><td><a href="https://hips.hearstapps.com/goodhousekeeping/assets/16/15/neapolitan-mastiff.jpg">default_url</a></td><td>true</td></tr></tbody></table>

**Output Parameters**

| Name | Type     | Description                                                                                                              | File Type |
| ---- | -------- | ------------------------------------------------------------------------------------------------------------------------ | --------- |
| url  | `string` | The image that was generated has been saved as an online URL. This link is temporary, so please save it for your own use | `image`   |

**Output Example**

{% tabs %}
{% tab title="success" %}
{% code fullWidth="false" %}

```json
{
  "url": "https://image.myshell.ai/image/chat/embed_obj/38145/20240423/147c7f35f67049f4b849cc93d7a968ff.png"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Detailed Guidelines


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.myshell.ai/ko/create/pro-config-mode/api-reference/widgets/12-rmbg.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
